'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports['default'] = skipByAction;

var _reduxBatchedSubscribe = require('redux-batched-subscribe');

/**
 * If an action contains a true value in metadata for skip, the subscribe call
 * will be skipped for that action. Given this, each individual action can
 * marked as an intermediate step in a larger action.
 */

function skipByAction(next) {
	return function () {
		var skip = false;
		var createBatchedStore = (0, _reduxBatchedSubscribe.batchedSubscribe)(function (cb) {
			if (!skip) cb();
		})(next);
		var store = createBatchedStore.apply(undefined, arguments);

		function dispatch(action) {
			if (action.meta && action.meta.skip) {
				skip = true;
			}
			var res = store.dispatch(action);
			skip = false;
			return res;
		}

		return _extends({}, store, {
			dispatch: dispatch
		});
	};
}

var skip = function skip(action) {
	return _extends({}, action, { meta: _extends({}, action.meta, { skip: true }) });
};
exports.skip = skip;